<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<script type="text/javascript">
		var Persona=function(){
  
          let nombre;
          this.dormir=function(){
            
              console.log('ZZZZZZZZZZZZZZZ');
          };
          
          this.hablar=function(){

              console.log('BLA BLA BLA BLA');

          };

          this.contar=function(){

              console.log('1 2 3 4 5 6');

          };

          this.adquirirNombre=function(){

               nombre=prompt("Introduce tu nombre");

          };

          this.decirNombre(){
          	   console.log('mi nombre es' + nombre);

          };


		};

         let alumno=new Persona();

         alumno.dormir();
         alumno.hablar();
         alumno.contar();
         alumno.adquirirNombre();
         alumno.decirNombre();

	</script>
</head>
<body>
	
</body>
</html>